Update a bank account
Updates an external bank account attached to a connected account.
Use this endpoint to make the bank account the default external account for its currency. The bank account must already belong to the connected account identified by account_id.
Path Parameters
- Type: stringaccount
_id requiredThe identifier of the account.
- Type: stringexternal
_account _id requiredThe identifier of the external account.
Body·
required
application/json
Fields that can be updated on an external bank account.
- Type: booleandefault
_for _currency When
true, this external account becomes the default destination for its currency.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/accounts/{account_id}/external_accounts/{external_account_id}
curl 'https://api.paypercut.io/v1/accounts/{account_id}/external_accounts/{external_account_id}' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"default_for_currency": true
}'
{
"default_for_currency": true,
"metadata": {
"additionalProperty": "string"
},
"external_account": {
"id": "ba_123",
"object": "bank_account",
"country": "DE",
"currency": "EUR",
"bank_name": "Example Bank",
"holder_name": "Acme GmbH",
"holder_type": "individual",
"account_number": "**** 5678",
"routing_number": "BNBGBGSF",
"last4": "5678"
}
}
